Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516048 - [abrt] evolution-data-server: g_type_check_instance_is_fundamentally_a(): evolution-calendar-factory-subprocess killed by SIGSEGV
Summary: [abrt] evolution-data-server: g_type_check_instance_is_fundamentally_a(): evo...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6006a0413fafed714843b6592bd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 22:16 UTC by Ed Marshall
Modified: 2018-11-30 18:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:23:46 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-21 22:17 UTC, Ed Marshall
no flags Details

Description Ed Marshall 2017-11-21 22:16:53 UTC
Description of problem:
was reconnecting to the network

Version-Release number of selected component:
evolution-data-server-3.26.2.1-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory-subprocess --factory webcal --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx2621x4 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/Calendar/2621/4
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/libexec/evolution-calendar-factory-subprocess
journald_cursor: s=0c32b52a012d4dd88df3ca02188c9c2d;i=114f35;b=2932e40665124648b4a8f3d8cd6bd3a7;m=10f019502e;t=55e855094d047;x=397d2b57751bf5ee
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4026
 #2 g_slist_foreach at gslist.c:880
 #3 g_slist_free_full at gslist.c:174
 #4 e_cal_cache_search_ids at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libedata-cal/e-cal-cache.c:2875
 #5 e_cal_meta_backend_empty_cache_sync at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libedata-cal/e-cal-meta-backend.c:4020
 #6 ecb_http_get_changes_sync at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/backends/http/e-cal-backend-http.c:359
 #7 e_cal_meta_backend_get_changes_sync at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libedata-cal/e-cal-meta-backend.c:4661
 #8 ecmb_refresh_internal_sync at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libedata-cal/e-cal-meta-backend.c:713
 #9 cal_backend_dispatch_thread at /usr/src/debug/evolution-data-server-3.26.2.1-1.fc27.x86_64/src/calendar/libedata-cal/e-cal-backend.c:252
 #11 g_thread_proxy at gthread.c:784

Comment 1 Ed Marshall 2017-11-21 22:17:26 UTC
Created attachment 1357031 [details]
File: backtrace

Comment 2 Ed Marshall 2017-11-21 22:22:00 UTC
Similar problem has been detected:

was reconnecting to the network

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory-subprocess --factory webcal --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx2621x4 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/Calendar/2621/4
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/libexec/evolution-calendar-factory-subprocess
journald_cursor: s=0c32b52a012d4dd88df3ca02188c9c2d;i=114f35;b=2932e40665124648b4a8f3d8cd6bd3a7;m=10f019502e;t=55e855094d047;x=397d2b57751bf5ee
kernel:         4.13.13-300.fc27.x86_64
package:        evolution-data-server-3.26.2.1-1.fc27
reason:         evolution-calendar-factory-subprocess killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 3 Ben Cotton 2018-11-27 18:05:05 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 18:23:46 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.